---
title: FeaturePolicy.features()
slug: Web/API/FeaturePolicy/features
---
<div>{{APIRef("Feature Policy API")}}{{SeeCompatTable}}</div>

<p><span class="seoSummary">The <strong><code>features()</code></strong> method of the {{DOMxRef("FeaturePolicy")}} interface returns a list of names of all features supported by the User Agent. Feature whose name appears on the list might not be allowed by the Feature Policy of the current execution context and/or might not be accessible because of user's permissions.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">const supportedFeatures = <em>FeaturePolicy</em>.features()
</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Return_value">Return value</h3>

<p>A list of strings that represent names of all Feature Policy directives supported by the User Agent.</p>

<h2 id="Example">Example</h2>

<p>The followin example logs all the supported directives in the console.</p>

<pre class="brush: js">// Get the Feature Policy object
const featurePolicy = document.featurePolicy

// Retreive the list of all supported Feature Policy directives
const supportedDirectives = featurePolicy.features()

// Print out each directive into the console
for (const directive of supportedDirectives){
  console.log(directive)
}
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Feature Policy","","features")}}</td>
   <td>{{Spec2("Feature Policy")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.FeaturePolicy.features")}}</p>
